Subject: Re: bug#69397: guix import crate misses dependencies

From: Nathan Dehnel <[email-masked]>
Date: Sun, 25 Feb 2024 20:21:19 -0600

Oh, my bad. Yeah, I just had my modules wrong. Thanks.

On Sun, Feb 25, 2024 at 6:46 PM Carlo Zancanaro <[email-masked]> wrote:
>
> Hi Nathan,
>
> I just tried running your example:
>
> On Sun, Feb 25 2024, Nathan Dehnel wrote:
> > guix import crate -r --recursive-dev-dependencies --allow-yanked [email-masked]
>
> I saw that rust-bytemuck-1 was included as an input in lots of packages,
> as you said. However, I also noticed that bytemuck is present in
> Guix. "guix edit rust-bytemuck" opened gnu/packages/crates-io.scm which
> defines the rust-bytemuck-1 variable to a package for rust-bytemuck.
>
> Rather than importing bytemuck separately, it should be enough to add
> (use-modules (gnu packages crates-io)) at the top of your scheme file to
> bring the Guix definition in.
>
> Carlo